Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(35)

Unified Diff: third_party/pkg/di/scripts/env.sh

Issue 180873006: Update the Angular/DI tests to latest from github. (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Review feedback Created 6 years, 10 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/pkg/di/run-tests.sh ('k') | third_party/pkg/di/scripts/travis/benchmark.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/pkg/di/scripts/env.sh
diff --git a/third_party/pkg/di/scripts/env.sh b/third_party/pkg/di/scripts/env.sh
new file mode 100644
index 0000000000000000000000000000000000000000..c7473463493d204c05bb93703d8ab64426b62035
--- /dev/null
+++ b/third_party/pkg/di/scripts/env.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -e
+
+if [ -n "$DART_SDK" ]; then
+ DARTSDK=$DART_SDK
+else
+ echo "sdk=== $DARTSDK"
+ DART=`which dart|cat` # pipe to cat to ignore the exit code
+ DARTSDK=`which dart | sed -e 's/\/bin\/dart$/\//'`
+ if [ -z "$DARTSDK" ]; then
+ DARTSDK="`pwd`/dart-sdk"
+ fi
+fi
+
+export DART_SDK="$DARTSDK"
+export DART=${DART:-"$DARTSDK/bin/dart"}
+export PUB=${PUB:-"$DARTSDK/bin/pub"}
+export DARTANALYZER=${DARTANALYZER:-"$DARTSDK/bin/dartanalyzer"}
+export DARTDOC=${DARTDOC:-"$DARTSDK/bin/dartdoc"}
+
+
+export DART_FLAGS='--enable_type_checks --enable_asserts'
+export PATH=$PATH:$DARTSDK/bin
« no previous file with comments | « third_party/pkg/di/run-tests.sh ('k') | third_party/pkg/di/scripts/travis/benchmark.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698